Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 292)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 293)
@@ -825,161 +825,8 @@
 		echo "}\n";
 		echo "</script>\n";
-#	}
+
 #if (!((!$votog) and ($genere==3 OR $genere==5) and ($fascia>$limite)))
 	finale($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops);
  }
-
-/////////////////////////////////////////////
-// registra le preferenze ai candidati
-/////////////////////////////////////////////
-
-function rec_votibak() {
-	global $prefix, $dbi,$aid,$id_cons,$ops,$genere,$votog,$fileout,$id_comune,$limite,$update,$dettnulli,$disgiunto,$tipo_cons;
-	
-	$sql="select id_fascia,id_conf from ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
-	if($res)
-		list($fascia,$id_conf)=$res->fetch(PDO::FETCH_NUM);
-	else {$fascia=0; $id_conf=0;}
-	if ($fileout) while (!$fp = fopen($fileout,"a"));
-	$username=$aid;
-	$log_data= date("Y/m/d");
-	$log_ora=getdate(time());
-	$orario=($log_ora['hours'].":".$log_ora['minutes'].":".$log_ora['seconds']);
-	$arg2 = func_get_args();
-	$arg = preg_split("/\,+/",$arg2[0]);
-	$id_cons_gen=intval($arg[1]);
-	$id_sez = intval($arg[2]);
-	$id_circ = intval($arg[3]);
-	$id_sede = intval($arg[4]);
-	$tab = $arg[5];
-	$id_lista = intval($arg[6]);
-	$do= intval($arg[7]);
-	if ($tab=="_ele_voti_candidati") {
-		$condizione="id_cand";
-	}else{
-		$condizione="id_lista"; 
-	}
-	if ((($genere==3) OR ($genere==5)) and !$id_lista and !$votog and (($disgiunto or $fascia>$limite) or !$id_conf)) $y = (count($arg)-4);
-	else $y=count($arg);#die ("delete from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'");
-	$sql="delete from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-	if($do==1) {
-			$sql="delete from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-			$sql="delete from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' and id_sez='$id_sez'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-			if($genere!=4)
-				$sql="update  ".$prefix."_ele_sezioni set validi_lista='0',contestati_lista='0',voti_nulli_lista='0',solo_gruppo='0' where id_cons='$id_cons' and id_sez='$id_sez'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-	
-	}else{
-	for($i=8,$y--;$i< $y;$i++) {		
-		$voti = intval($arg[$i++]);
-		$vnrigains=",'0'";
-		$vnriga='';
-		if($dettnulli && !$disgiunto && $tipo_cons!=18 && $tipo_cons!=19 and $condizione!="id_cand") {$vnpl = intval($arg[$i++]); $vnriga=",nulli_lista='$vnpl'"; $vnrigains=",'".$vnpl."'";} else {if (!($condizione=="id_lista")) $vnrigains="";}
-		if($disgiunto and $condizione!="id_cand") {$slpl = intval($arg[$i++]); $vnriga.=",solo_lista='$slpl'"; $vnrigains.=",'".$slpl."'";} else {$vnriga.=''; if ($condizione=="id_lista") $vnrigains.=",'0'"; else $vnrigains="";}
-		$id_cand = intval($arg[$i]); 
-		$sql="select * from ".$prefix."$tab where id_cons='$id_cons' and id_sez='$id_sez' and $condizione='$id_cand'";
-$result = $dbi->prepare("$sql");
-$result->execute();
-
-
-        	$ar=$result->fetch(PDO::FETCH_BOTH);		
-
-		if ($ar){
-#die("T1:$dettnulli -- T2:$disgiunto -- update  ".$prefix."$tab set voti='$voti'$vnriga where id_cons='$id_cons' and id_sez='$id_sez' and $condizione='$id_cand'");
-			if ($ar['voti']!=$voti or (isset($vnpl) and $ar['nulli_lista']!=$vnpl) or (isset($slpl) and $ar['solo_lista']!=$slpl)) {
-				$sql="update  ".$prefix."$tab set voti='$voti'$vnriga where id_cons='$id_cons' and id_sez='$id_sez' and $condizione='$id_cand'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-				if ($fileout) fwrite($fp,"update  ".$prefix."$tab set voti='$voti' where id_cons='$id_cons' and id_sez='$id_sez' and $condizione='$id_cand';\n");
-	        	$sql="insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$log_data','$orario','voti=".$ar['voti']."','$condizione:$id_cand voti: $voti','$tab')";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-			}
-		} else {//die ("insert into ".$prefix."$tab values ('$id_cons', '$id_cand','$id_sez','$voti'$vnrigains)");
-			if ($voti)
-	    		$sql="insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$log_data','$orario',' ','$condizione:$id_cand voti: $voti','$tab')";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-			$sql="insert into ".$prefix."$tab values ('$id_cons', '$id_cand','$id_sez','$voti'$vnrigains)";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-			if ($fileout) fwrite($fp,"insert into ".$prefix."$tab values ('$id_cons', '$id_cand','$id_sez','$voti');\n");
-		}
-	}
-//		foreach ($arg as $vval) echo $vval." - ";
-	// solo gruppo e preferenze alle liste
-
-	if(!$votog) {
-	   if ((($genere==3) OR ($genere==5)) and !$id_lista and (($disgiunto or $fascia>$limite) or !$id_conf)) {
-			$valista=$arg[$i++]; 
-			$sql="update ".$prefix."_ele_sezioni set solo_gruppo='".$arg[$i]."' where id_sez='$id_sez'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-			if ($fileout) fwrite($fp,"update ".$prefix."_ele_sezioni set solo_gruppo='".$arg[$i]."' where id_sez='$id_sez';\n");
-			if ($condizione=="id_lista"){
-				$sql="select * from ".$prefix."_ele_sezioni where id_sez='$id_sez'";
-$result = $dbi->prepare("$sql");
-$result->execute();
-
-
-        		$ar=$result->fetch(PDO::FETCH_BOTH);
-				++$i;
-				$sql="update  ".$prefix."_ele_sezioni set voti_nulli_lista='".$arg[$i++]."', contestati_lista='".$arg[$i++]."' where id_sez='$id_sez'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-				if ($fileout) fwrite($fp,"update  ".$prefix."_ele_sezioni set voti_nulli_lista='".$arg[$i++]."', contestati_lista='".$arg[$i++]."' where id_sez='$id_sez';\n");
-				if ($ar['validi']){
-
-
-					if($valista) {
-						$sql="update  ".$prefix."_ele_sezioni set validi_lista='$valista' where id_sez='$id_sez'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-					}else{
-						$sql="update  ".$prefix."_ele_sezioni set validi_lista=(`validi`-`solo_gruppo`-`voti_nulli_lista`-`contestati_lista`) where id_sez='$id_sez'";
-$res = $dbi->prepare("$sql");
-					$res->execute();}
-
-
-					if ($fileout) fwrite($fp,"update  ".$prefix."_ele_sezioni set validi_lista=(`validi`+`contestati`+`voti_nulli`-`solo_gruppo`-`voti_nulli_lista`-`contestati_lista`) where id_sez='$id_sez';\n");
-				}
-			}
-	   }	
-	}
-	}
-	
-//	$ops = $arg[$argc];
-	if ($fileout)fclose($fp);
-	Header("Location: admin.php?op=voti&id_cons_gen=$id_cons_gen&id_circ=$id_circ&id_sede=$id_sede&id_sez=$id_sez&do=spoglio&ops=3&id_lista=$id_lista");
-}
 
 
@@ -1284,113 +1131,4 @@
 
     }
-
-
-
-
-
-
-///////////////////////////
-// registra voti finali
-///////////////////////////
-
-function rec_finalebak() {
-global $prefix, $dbi,$aid,$id_cons,$fileout,$genere,$votog;
-
-if ($fileout) while (!$fp = fopen($fileout,"a"));
-$arg2 = func_get_args();
-$arg = split(",",$arg2[0]);
-$id_cons_gen=intval($arg[1]);
-$id_sez = intval($arg[2]);
-$id_circ = intval($arg[3]);
-$id_sede = intval($arg[4]);
-$validi = intval($arg[5]);
-$nulli = intval($arg[6]);
-$bianchi = intval($arg[7]);
-$votinulli = intval($arg[8]);
-$contestati = intval($arg[9]);
-//$sololista = intval($arg[10]);
-$ops = $arg[10];
-$username="$aid";
-$log_data= date("Y/m/d");
-$log_ora=getdate(time());	
-$orario=($log_ora['hours'].":".$log_ora['minutes'].":".$log_ora['seconds']);
-$sql="delete from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-
-$sql="select voti_complessivi from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and id_sez='$id_sez' order by id_parz desc";
-$result = $dbi->prepare("$sql");
-$result->execute();
-
-
-list($voti_t) = $result->fetch(PDO::FETCH_NUM);
-   $tot_voti=$validi+$nulli+$bianchi+$contestati+$votinulli;
-$sololista=$voti_t-$tot_voti;
-	$sql="select solo_gruppo,disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons' ";
-$result = $dbi->prepare("$sql");
-$result->execute();
-
-
-	list($flagsg,$disgiunto)=$result->fetch(PDO::FETCH_NUM);
-	$sql="select * from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ";
-$result = $dbi->prepare("$sql");
-$result->execute();
-
-
-	$ar=$result->fetch(PDO::FETCH_NUM);
-	$validilista=$validi-$ar['solo_gruppo'];
-	if ($ar['solo_lista'] or !$disgiunto) $rigasl=''; else $rigasl=", solo_lista='$sololista'";
-#die("qui: if($ops==3 and ($genere==3 or $genere==4 or $genere==5) and $votog){");
-	if($ops==3 and ($genere==3 or $genere==4 or $genere==5) and ($votog or $genere==4)){
-	$sql="insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$log_data','$orario','validi_lista:$ar[14] nulli:$ar[7] bianchi:$ar[8] contestati_lista:$ar[15]  voti_nulli_lista:$ar[16]','validi_lista=$validilista, nulli=$nulli,bianchi=$bianchi,contestati_lista=$contestati,voti_nulli_lista=$votinulli','_ele_sezioni')";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-	
-
-/*		$result = mysql_query("update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validi', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli_lista='$votinulli' where id_cons='$id_cons' and id_sez='$id_sez' ";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-		if ($fileout) fwrite($fp,"update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validi', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli_lista='$votinulli' where id_cons='$id_cons' and id_sez='$id_sez';\n"); */
-		$sql="update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validi', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli='$votinulli' $rigasl where id_cons='$id_cons' and id_sez='$id_sez' ";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-		if ($fileout) fwrite($fp,"update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validilista', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli='$votinulli' $rigasl where id_cons='$id_cons' and id_sez='$id_sez';\n");
-	}else{
- 	$sql="insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$log_data','$orario','validi:$ar[6] nulli:$ar[7] bianchi:$ar[8] contestati:$ar[9] voti_nulli:$ar[13]','validi=$validi, nulli=$nulli,bianchi=$bianchi,contestati=$contestati, voti_nulli=$votinulli','_ele_sezioni')";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-	
-	$valista="";
-	if ($ar['validi_lista']){ 
-	  $tvalista=$validi-$ar['solo_gruppo']-$ar['voti_nulli_lista']-$ar['contestati_lista'];
-	  $valista=",validi_lista='$tvalista'";
-	}
-
-		$sql="update  ".$prefix."_ele_sezioni set validi='$validi', nulli='$nulli',bianchi='$bianchi',contestati='$contestati',voti_nulli='$votinulli' $rigasl $valista where id_cons='$id_cons' and id_sez='$id_sez' ";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-		if ($fileout) fwrite($fp,"update  ".$prefix."_ele_sezioni set validi='$validi', nulli='$nulli',bianchi='$bianchi',contestati='$contestati',voti_nulli='$votinulli' $rigasl $valista where id_cons='$id_cons' and id_sez='$id_sez';\n");
-	}
-//	}
-// Il test non e' piu' necessario perche' le sezioni sono state gia' inserite in precedenza
- 	if ($fileout) fclose($fp);
-         Header("Location: admin.php?op=voti&id_cons_gen=$id_cons_gen&id_circ=$id_circ&id_sede=$id_sede&id_sez=$id_sez&do=spoglio&ops=$ops");
-
-/*}else{
-
-echo "<b><br><center><h1>I voti totali  non corrispondono con i votanti</h1><b>";
-echo "<hr><a href=\"admin.php?op=voti&amp;id_cons=$id_cons&amp;id_circ=$id_circ&amp;id_sede=$id_sede&amp;id_sez=$id_sez&amp;do=spoglio&amp;ops=$ops\">Torna e correggi i dati immessi</a></center>";
-}*/
-}
 
 
@@ -1727,175 +1465,4 @@
 
 
-
-
-///////////////////////////
-// registra le preferenze ai gruppi
-///////////////////////////
-
-function rec_voti_gruppibak() {
-global $prefix, $dbi,$aid, $tipo_cons, $genere,$id_cons,$ops,$fileout,$dettnulli;
-if ($fileout) while (!$fp = fopen($fileout,"a"));
-
-$username="$aid";
-$log_data= date("Y/m/d");
-$log_ora=getdate(time());
-$arg2 = func_get_args();
-$arg = preg_split("/\,+/",$arg2[0]);
-$id_cons_gen=intval($arg[1]);
-$id_sez = intval($arg[2]);
-$id_circ = intval($arg[3]);
-$id_sede = intval($arg[4]);
-$do = intval($arg[5]);
-$y=count($arg)-1; 
-	$sql="delete from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-	if($do==1) {
-			$sql="delete from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-			$sql="delete from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-			$sql="delete from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' and id_sez='$id_sez'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-			$sql="delete from ".$prefix."_ele_voti_ref where id_cons='$id_cons' and id_sez='$id_sez'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-			$sql="update  ".$prefix."_ele_sezioni set validi_lista='',contestati_lista='',voti_nulli_lista='',solo_gruppo='',solo_lista='' where id_cons='$id_cons' and id_sez='$id_sez'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-	
-	}else{
-
-if ($genere==0) {
-	$tab="_ele_voti_ref";
-} else {
-	$tab="_ele_voti_gruppo";
-	$y--;
-	$sql="SELECT disgiunto FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-	list($disgiunto)=$res->fetch(PDO::FETCH_NUM);
-	if($disgiunto)
-		$sql="update  ".$prefix."_ele_sezioni set solo_lista='".$arg[$y--]."' where id_sez='$id_sez'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-
-}
-
-for($i=6;$i< $y;) {
-	$id_gruppo = intval($arg[$i++]);
-	$testval=0;
-	switch ($genere){    
-		case (0):  
-			if($arg[$i].$arg[$i+1]=='' ) { 
-			$i+=6;
-			$testval=1;
-			}else{       
-			$si=intval($arg[$i++]); 
-			$no=intval($arg[$i++]);
-			$val=intval($arg[$i++]);
-			if ($val==0){$val=$si+$no;}
-			$bia=intval($arg[$i++]);
-			$con=intval($arg[$i++]);
-			$nul=intval($arg[$i++]);
-			$voti = "'$si','$no','$val','$nul','$bia','$con'";
-			$riga="si=$si,no=$no,validi=$val,nulli=$nul,bianchi=$bia,contestati=$con";
-			$sgriga='';
-			}
-			break;
-		default:
-			$voti = intval($arg[$i++]);
-			if($dettnulli) { $sg=intval($arg[$i++]); $sgriga = ', solo_gruppo='.$sg;} else {$sgriga=''; $sg=0;}
-			if (!$voti) {$voti="0";}
-			$riga="voti=$voti".$sgriga;
-			$sgriga=",'$sg'";
-			break;
-	}
-	if($testval) continue;
-	$sql="select * from ".$prefix."$tab where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo'";
-$result = $dbi->prepare("$sql");
-$result->execute();
-
-
-	$ar=$result->fetch(PDO::FETCH_BOTH);
-	$sql="select num_gruppo from ".$prefix."_ele_gruppo where id_cons='$id_cons' and id_gruppo='$id_gruppo'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-	list($num_gruppo)=$res->fetch(PDO::FETCH_NUM);
-	$oldval='';
-	if ($ar){
-		switch ($genere){  
-			case (0): 
-				if ($ar['si']!=$si or $ar['no']!=$no or $ar['validi']!=$val or $ar['nulli']!=$nul
-				or $ar['bianchi']!=$bia or $ar['contestati']!=$con){
-					$oldval=" si:$ar[3] no:$ar[4] validi:$ar[5] nulli:$ar[6] bianchi:$ar[7] contestati:$ar[8]";
-				}
-				break;
-			default:
-				if ($ar['voti']!=$voti or $ar['solo_gruppo']!=$sg) {
-					$oldval="voti:".$ar['voti'];
-					$voti.=",null";
-				}
-				if (isset($ar['num_gruppo'])) $dstgruppo=$ar['num_gruppo'];
-				break;
-		} 
-		if ($oldval) { 
-			$sql="update  ".$prefix."$tab set $riga where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-			if ($fileout) fwrite($fp,"update  ".$prefix."$tab set $riga where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo';\n");
-			$sql="insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$log_data','".$log_ora['hours'].":".$log_ora['minutes'].":".$log_ora['seconds']."','$oldval','num_gruppo:$num_gruppo $riga','$tab')";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-		}
-	} else { #die ("test in corso: insert into ".$prefix."$tab values ('$id_cons', '$id_gruppo','$id_sez',$voti)");
-		$sql="insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$log_data','".$log_ora['hours'].":".$log_ora['minutes'].":".$log_ora['seconds']."','','num_gruppo:$num_gruppo $riga','$tab')";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-		$sql="insert into ".$prefix."$tab values ('$id_cons', '$id_gruppo','$id_sez',$voti $sgriga)";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-		if ($fileout) fwrite($fp,"insert into ".$prefix."$tab values ('$id_cons', '$id_gruppo','$id_sez',$voti $sgriga);\n");
-	//
-	}
-
-}
-}
-//$ops = $arg[$argc];
-if ($fileout) fclose($fp);
-Header("Location: admin.php?op=voti&id_cons_gen=$id_cons_gen&id_circ=$id_circ&id_sede=$id_sede&id_sez=$id_sez&do=spoglio&ops=4");
-
-}
-
-
  	if (!preg_match("/rec/",$op)) {
 		ele(); //menu