Index: trunk/client/modules/Elezioni/consiglieri.php
===================================================================
--- trunk/client/modules/Elezioni/consiglieri.php	(revision 294)
+++ trunk/client/modules/Elezioni/consiglieri.php	(revision 295)
@@ -23,9 +23,15 @@
 if (isset($param['listecol'])) $listecol=intval($param['listecol']); else $listecol=0;
 
-$result = mysql_query("select id_conf,id_fascia from ".$prefix."_ele_cons_comune where id_cons='$id_cons'", $dbi);
-list($id_conf,$fascia) = mysql_fetch_row($result);
-
-$res = mysql_query("SELECT limite,consin,infpremio,supsbarramento,suppremio,listinfsbar,listinfconta,listsupconta,supminpremio,infminpremio from ".$prefix."_ele_conf where id_conf='$id_conf'",$dbi);
-list($limite,$consin,$infpremio,$supsbarramento,$suppremio,$listinfsbar,$listinfconta,$listsupconta,$supminpremio,$infminpremio) = mysql_fetch_row($res);
+$sql = "select id_conf,id_fascia from ".$prefix."_ele_cons_comune where id_cons='$id_cons'"
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+list($id_conf,$fascia) = $result->fetch(PDO::FETCH_NUM);
+
+$sql = "SELECT limite,consin,infpremio,supsbarramento,suppremio,listinfsbar,listinfconta,listsupconta,supminpremio,infminpremio from ".$prefix."_ele_conf where id_conf='$id_conf'"
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+list($limite,$consin,$infpremio,$supsbarramento,$suppremio,$listinfsbar,$listinfconta,$listsupconta,$supminpremio,$infminpremio) = $res->fetch(PDO::FETCH_NUM);
 $numcons=0;
 
@@ -44,17 +50,32 @@
 	$x++;
 }
-$res = mysql_query("SELECT t1.tipo_cons,t2.id_cons,t2.id_fascia,t2.id_conf FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
-if (mysql_num_rows($res)){
-	list($tipo_cons,$id_cons,$fascia,$conf) = mysql_fetch_row($res);
-	$result = mysql_query("select capoluogo from ".$prefix."_ele_comuni where id_comune='$id_comune'", $dbi);
-	list($capoluogo) = mysql_fetch_row($result);
-	$result = mysql_query("select fascia_capoluogo from ".$prefix."_ele_conf where id_conf='$conf'", $dbi);
-	list($fascia2) = mysql_fetch_row($result);
+$sql = "SELECT t1.tipo_cons,t2.id_cons,t2.id_fascia,t2.id_conf FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" 
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+if ($res->rowCount()){
+	list($tipo_cons,$id_cons,$fascia,$conf) = $res->fetch(PDO::FETCH_NUM);
+	$sql = "select capoluogo from ".$prefix."_ele_comuni where id_comune='$id_comune'"
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+	list($capoluogo) = $result->fetch(PDO::FETCH_NUM);
+	$sql = "select fascia_capoluogo from ".$prefix."_ele_conf where id_conf='$conf'"
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+	list($fascia2) = $result->fetch(PDO::FETCH_NUM);
 	if($fascia<$fascia2 and $capoluogo) $fascia=$fascia2;
 
-		$result = mysql_query("SELECT seggi from ".$prefix."_ele_fasce where id_fascia='$fascia' and id_conf=$id_conf",$dbi);
-		list($numcons) = mysql_fetch_row($result);
-$res_val= mysql_query("SELECT id_cand, sum(voti) from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' group by id_cand",$dbi);
-$num_cons= mysql_num_rows($res_val);
+		$sql = "SELECT seggi from ".$prefix."_ele_fasce where id_fascia='$fascia' and id_conf=$id_conf"
+$result = $dbi->prepare("$sql");
+$result->execute();
+
+		list($numcons) = $result->fetch(PDO::FETCH_NUM);
+$sql = "SELECT id_cand, sum(voti) from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' group by id_cand"
+$res_val = $dbi->prepare("$sql");
+$res_val->execute();
+
+$num_cons= $res_val->rowCount();
 if ($num_cons<$numcons){
 	echo "Il numero di candidati al consiglio inseriti con preferenza ($num_cons) e' inferiore al numero di seggi previsti ($numcons). Non e' possibile procedere con il calcolo";
@@ -63,9 +84,15 @@
 }
 	if (!$gruppo){
-		$res_val = mysql_query("SELECT sum(validi) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
-		list($validi) = mysql_fetch_row($res_val);
-		$res_lis = mysql_query("SELECT t1.num_gruppo,sum(t2.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_voti_gruppo as t2 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo group by t1.num_gruppo order by voti desc limit 0,2",$dbi);
+		$sql = "SELECT sum(validi) from ".$prefix."_ele_sezioni where id_cons='$id_cons'"
+$res_val = $dbi->prepare("$sql");
+$res_val->execute();
+
+		list($validi) = $res_val->fetch(PDO::FETCH_NUM);
+		$sql = "SELECT t1.num_gruppo,sum(t2.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_voti_gruppo as t2 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo group by t1.num_gruppo order by voti desc limit 0,2"
+$res_lis = $dbi->prepare("$sql");
+$res_lis->execute();
+
 		$test=0;$flag=0;
-		while (list($num_gruppo,$voti)= mysql_fetch_row($res_lis)){
+		while (list($num_gruppo,$voti)= $res_lis->fetch(PDO::FETCH_NUM)){
 			if ($voti>($validi/2)) {$gruppo=$num_gruppo;$primoturno=1;}
 			if ($voti==$test) $flag=1; else $test=$voti;
@@ -73,7 +100,10 @@
 	}
 	if ($fascia<=$limite){
-		$res_lis = mysql_query("SELECT t1.num_gruppo,sum(t2.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_voti_gruppo as t2 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo group by t1.num_gruppo order by voti desc limit 0,2",$dbi);
-		list($num_gruppo1,$voti1)= mysql_fetch_row($res_lis);
-		list($num_gruppo2,$voti2)= mysql_fetch_row($res_lis);
+		$sql = "SELECT t1.num_gruppo,sum(t2.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_voti_gruppo as t2 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo group by t1.num_gruppo order by voti desc limit 0,2"
+$res_lis = $dbi->prepare("$sql");
+$res_lis->execute();
+
+		list($num_gruppo1,$voti1)= $res_lis->fetch(PDO::FETCH_NUM);
+		list($num_gruppo2,$voti2)= $res_lis->fetch(PDO::FETCH_NUM);
 		if ($voti1>$voti2)
 			$numgruppo=$num_gruppo1;
@@ -82,17 +112,27 @@
 	elseif ($gruppo>0) conssup($fascia,$gruppo,$collegate,$collperd,$primoturno);
 	elseif ($numgruppo>0){
-		$res_lis = mysql_query("SELECT t1.id_lista,t1.num_lista,t1.descrizione,t1.id_gruppo from ".$prefix."_ele_lista as t1, ".$prefix."_ele_gruppo as t2 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t2.num_gruppo not in (".$_SESSION['ballo1'].",".$_SESSION['ballo2'].")",$dbi);
-		$yy=mysql_num_rows($res_lis); 
-			$res_voti = mysql_query("select sum(voti) from ".$prefix."_ele_voti_lista where id_cons='$id_cons'",$dbi);
-			list($validilista) = mysql_fetch_row($res_voti);
+		$sqllis = "SELECT t1.id_lista,t1.num_lista,t1.descrizione,t1.id_gruppo from ".$prefix."_ele_lista as t1, ".$prefix."_ele_gruppo as t2 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t2.num_gruppo not in (".$_SESSION['ballo1'].",".$_SESSION['ballo2'].")"
+$res_lis = $dbi->prepare("$sqllis");
+$res_lis->execute();
+
+		$yy=$res_lis->rowCount(); 
+			$sql = "select sum(voti) from ".$prefix."_ele_voti_lista where id_cons='$id_cons'"
+$res_voti = $dbi->prepare("$sql");
+$res_voti->execute();
+
+			list($validilista) = $res_voti->fetch(PDO::FETCH_NUM);
 		if ($yy){
-while(list($id_lista,$num_lista,$descr,$pgrup) = mysql_fetch_row($res_lis)) {
-			$res_voti = mysql_query("select sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$id_lista'",$dbi);
-			list($votilista) = mysql_fetch_row($res_voti);
+while(list($id_lista,$num_lista,$descr,$pgrup) = $res_lis->fetch(PDO::FETCH_NUM)) {
+			$sql = "select sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$id_lista'"
+$res_voti = $dbi->prepare("$sql");
+$res_voti->execute();
+
+			list($votilista) = $res_voti->fetch(PDO::FETCH_NUM);
 			if(!isset($voti[$pgrup])) $voti[$pgrup]=0;
 			$voti[$pgrup]+=$votilista;
 }
 			foreach ($voti as $key=>$val){if($val<($validilista*3/100)) unset($voti[$key]);} ##################################################
-			mysql_data_seek($res_lis,0);
+			$res_lis = $dbi->prepare("$sqllis");
+			$res_lis->execute();
 			echo "<br/>";
 			echo "<form id=\"gruppo\" action=\"modules.php\">";
@@ -107,5 +147,5 @@
 			
 			$z=1;
-			while(list($id_lista,$num_lista,$descr,$pgrup) = mysql_fetch_row($res_lis)) {
+			while(list($id_lista,$num_lista,$descr,$pgrup) = $res_lis->fetch(PDO::FETCH_NUM)) {
 				if(!isset($voti[$pgrup])) continue;
  				$x=$_SESSION['ballo1'];
@@ -128,6 +168,9 @@
 		echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\"/>";
 		echo "<input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\"/>";
-		$res = mysql_query("SELECT t1.id_gruppo,t1.num_gruppo,t1.descrizione, sum(t2.voti) as pref FROM ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_voti_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' group by t1.num_gruppo,t1.descrizione order by pref desc limit 0,2", $dbi);
-		while(list($id_gruppo,$num_gruppo, $descr_gruppo,$pref) = mysql_fetch_row($res)) {
+		$sql = "SELECT t1.id_gruppo,t1.num_gruppo,t1.descrizione, sum(t2.voti) as pref FROM ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_voti_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' group by t1.num_gruppo,t1.descrizione order by pref desc limit 0,2"
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+		while(list($id_gruppo,$num_gruppo, $descr_gruppo,$pref) = $res->fetch(PDO::FETCH_NUM)) {
 			if (!isset($_SESSION['ballo1'])) {
 				$_SESSION['ballo1']=$num_gruppo;
@@ -169,20 +212,35 @@
 #carica numero di liste e voti, i voti sono quelli del gruppo se non c'e' voto di lista
 if($votolista=='0')
-	$res_val = mysql_query("SELECT sum(validi) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
+	$sql = "SELECT sum(validi) from ".$prefix."_ele_sezioni where id_cons='$id_cons'"
 else
-	$res_val = mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_cons='$id_cons'",$dbi);
-list($validi) = mysql_fetch_row($res_val);
+	$sql = "SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_cons='$id_cons'"
+$res_val = $dbi->prepare("$sql");
+$res_val->execute();
+
+list($validi) = $res_val->fetch(PDO::FETCH_NUM);
 #se votolista==1, Ãš abilitato il voto di lista ed Ãš quello su cui si calcola l'assegnazione dei seggi 
 if ($fisso==1){
 	#seleziona il sindaco
-$res_per = mysql_query("SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_gruppo as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t1.id_gruppo=t3.id_gruppo group by t1.descrizione, t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc limit 0,1",$dbi);
-	list($descr,$num_gruppo,$id_lista1,$num_lista,$descr_lista,$voti)= mysql_fetch_row($res_per);
-$res_per = mysql_query("SELECT t2.id_lista, sum(t2.voti) as voti from ".$prefix."_ele_voti_lista as t2 where t2.id_cons='$id_cons' and t2.id_lista!='$id_lista1' group by t2.id_lista order by voti desc limit 0,1",$dbi);
-	list($id_lista2,$voti)= mysql_fetch_row($res_per);
+$sql = "SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_gruppo as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t1.id_gruppo=t3.id_gruppo group by t1.descrizione, t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc limit 0,1"
+$res_per = $dbi->prepare("$sql");
+$res_per->execute();
+
+	list($descr,$num_gruppo,$id_lista1,$num_lista,$descr_lista,$voti)= $res_per->fetch(PDO::FETCH_NUM);
+$sql = "SELECT t2.id_lista, sum(t2.voti) as voti from ".$prefix."_ele_voti_lista as t2 where t2.id_cons='$id_cons' and t2.id_lista!='$id_lista1' group by t2.id_lista order by voti desc limit 0,1"
+$res_per = $dbi->prepare("$sql");
+$res_per->execute();
+
+	list($id_lista2,$voti)= $res_per->fetch(PDO::FETCH_NUM);
       #e la lista di minoranza
 	$ordine= $id_lista1>$id_lista2 ? "desc":"";
-$res_per = mysql_query("SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_lista as t3 where (t2.id_lista='$id_lista1' or t2.id_lista='$id_lista2') and t1.id_gruppo=t2.id_gruppo and t2.id_lista=t3.id_lista group by t1.descrizione,t1.num_gruppo,t2.num_lista,t2.descrizione order by t2.id_lista $ordine",$dbi);
+$sql = "SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_lista as t3 where (t2.id_lista='$id_lista1' or t2.id_lista='$id_lista2') and t1.id_gruppo=t2.id_gruppo and t2.id_lista=t3.id_lista group by t1.descrizione,t1.num_gruppo,t2.num_lista,t2.descrizione order by t2.id_lista $ordine"
+$res_per = $dbi->prepare("$sql");
+$res_per->execute();
+
 	}else{
-$res_per = mysql_query("SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_gruppo as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t1.id_gruppo=t3.id_gruppo group by t1.descrizione,t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc",$dbi);
+$sql = "SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_gruppo as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t1.id_gruppo=t3.id_gruppo group by t1.descrizione,t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc"
+$res_per = $dbi->prepare("$sql");
+$res_per->execute();
+
 }  
 $groups=array();
@@ -191,5 +249,5 @@
 $x=0;
 #carica l'array dei gruppi e della cifra di gruppo
-while (list($descr,$num_gruppo,$id_lista,$num_lista,$descr_lista,$voti)= mysql_fetch_row($res_per)){
+while (list($descr,$num_gruppo,$id_lista,$num_lista,$descr_lista,$voti)= $res_per->fetch(PDO::FETCH_NUM)){
     $desgruppi[$num_gruppo]=$descr;
     $desliste[$num_lista]=$num_lista.") ".$descr_lista;
@@ -221,9 +279,12 @@
     foreach ($listagruppo as $lista=>$val){
     $id_lista=$idlst[$lista];
-    $res_can = mysql_query("SELECT concat(substring(concat('0',t1.num_cand),-2),') ',t1.cognome,' ',substring(t1.nome from 1 for 1),'.') as descr,sum(t2.voti) as voti from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2 where t1.id_lista='$id_lista' and t1.id_cand=t2.id_cand GROUP BY descr order by voti desc,t1.num_cand",$dbi);
+    $sql = "SELECT concat(substring(concat('0',t1.num_cand),-2),') ',t1.cognome,' ',substring(t1.nome from 1 for 1),'.') as descr,sum(t2.voti) as voti from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2 where t1.id_lista='$id_lista' and t1.id_cand=t2.id_cand GROUP BY descr order by voti desc,t1.num_cand"
+$res_can = $dbi->prepare("$sql");
+$res_can->execute();
+
     
-    $num_candlst[$lista]=mysql_num_rows($res_can);
+    $num_candlst[$lista]=$res_can->rowCount();
     $pos=0;
-    while(list($cand,$pre)=mysql_fetch_row($res_can)){
+    while(list($cand,$pre)=$res_can->fetch(PDO::FETCH_NUM)){
     	if(!isset($lists[$lista])) $lists[$lista]=0;
     	$cifra[$lista][$pos]=$lists[$lista]+$pre;
@@ -415,14 +476,20 @@
 #per voti validi non si intendono i voti validi alle liste ma i voti validi espressi
 #$res_val = mysql_query("SELECT sum(validi_lista) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi); 
-$res_val = mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons'",$dbi); 
-list($validi) = mysql_fetch_row($res_val);
+$sql = "SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons'"
+$res_val = $dbi->prepare("$sql");
+$res_val->execute();
+ 
+list($validi) = $res_val->fetch(PDO::FETCH_NUM);
 
 $sbarra=($validi*$supsbarramento)/100; 
-$res_per = mysql_query("SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_lista as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t2.id_lista=t3.id_lista group by t1.descrizione,t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc",$dbi);
+$sql = "SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_lista as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t2.id_lista=t3.id_lista group by t1.descrizione,t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc"
+$res_per = $dbi->prepare("$sql");
+$res_per->execute();
+
 $groups=array();
 $premio=0;
 //10-05-2009 gestione differenziata delle norme elettorali
 #carica l'array dei gruppi e della cifra di gruppo
-while (list($descr,$num_gruppo,$id_lista,$num_lista,$descr_lista,$voti)= mysql_fetch_row($res_per)){
+while (list($descr,$num_gruppo,$id_lista,$num_lista,$descr_lista,$voti)= $res_per->fetch(PDO::FETCH_NUM)){
  if ($listsupconta or $voti>=$sbarra){
     if (! isset($groups[($num_gruppo)])) $groups[($num_gruppo)]=0;
@@ -437,8 +504,14 @@
 ################### carica array ... 25  maggio 2014
 foreach($collegate as $key=>$val){	
-	$res = mysql_query("SELECT id_gruppo from ".$prefix."_ele_lista where num_lista='$val' and id_cons='$id_cons'",$dbi);
-		list($tempig)=mysql_fetch_row($res);
-		$res = mysql_query("SELECT num_gruppo from ".$prefix."_ele_gruppo where id_gruppo='$tempig' and id_cons='$id_cons'",$dbi);
-		list($tempng)=mysql_fetch_row($res);
+	$sql = "SELECT id_gruppo from ".$prefix."_ele_lista where num_lista='$val' and id_cons='$id_cons'"
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+		list($tempig)=$res->fetch(PDO::FETCH_NUM);
+		$sql = "SELECT num_gruppo from ".$prefix."_ele_gruppo where id_gruppo='$tempig' and id_cons='$id_cons'"
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+		list($tempng)=$res->fetch(PDO::FETCH_NUM);
 		$grpinc[$val]=$tempng;
 }
@@ -539,7 +612,10 @@
 		$z=0;
 		$arvin[$x][$pos++]=$desliste[$lst]; 
-		$res_can = mysql_query("SELECT concat(substring(concat('0',t1.num_cand),-2),') ',t1.cognome,' ',substring(t1.nome from 1 for 1),'.') as descr,sum(t2.voti) as voti from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2 where t1.id_lista='$id_lista' and t1.id_cand=t2.id_cand GROUP BY descr order by voti desc,num_cand",$dbi);
-		$num_candlst[$x]=mysql_num_rows($res_can);
-		while(list($cand,$pre)=mysql_fetch_row($res_can)){ 
+		$sql = "SELECT concat(substring(concat('0',t1.num_cand),-2),') ',t1.cognome,' ',substring(t1.nome from 1 for 1),'.') as descr,sum(t2.voti) as voti from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2 where t1.id_lista='$id_lista' and t1.id_cand=t2.id_cand GROUP BY descr order by voti desc,num_cand"
+$res_can = $dbi->prepare("$sql");
+$res_can->execute();
+
+		$num_candlst[$x]=$res_can->rowCount();
+		while(list($cand,$pre)=$res_can->fetch(PDO::FETCH_NUM)){ 
 			$cifra[$x][$pos]=$y+$pre;
 			$arvin[$x][$pos++]=$cand;
@@ -560,8 +636,14 @@
 	if($vall==0) continue; 
 
-		$res = mysql_query("SELECT id_gruppo from ".$prefix."_ele_lista where num_lista='$keyl' and id_cons='$id_cons'",$dbi);
-		list($tempig)=mysql_fetch_row($res);
-		$res = mysql_query("SELECT num_gruppo from ".$prefix."_ele_gruppo where id_gruppo='$tempig' and id_cons='$id_cons'",$dbi);
-		list($tempng)=mysql_fetch_row($res); #foreach ($sindseggio as $keyl=>$vall) echo "<br> listdecseggi: $keyl - $vall - $tempng";
+		$sql = "SELECT id_gruppo from ".$prefix."_ele_lista where num_lista='$keyl' and id_cons='$id_cons'"
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+		list($tempig)=$res->fetch(PDO::FETCH_NUM);
+		$sql = "SELECT num_gruppo from ".$prefix."_ele_gruppo where id_gruppo='$tempig' and id_cons='$id_cons'"
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+		list($tempng)=$res->fetch(PDO::FETCH_NUM); #foreach ($sindseggio as $keyl=>$vall) echo "<br> listdecseggi: $keyl - $vall - $tempng";
 		if (isset($sindseggio[$tempng])) {$listdec[$tempng][]=$keyl;}
 #		if (in_array($tempng,$sindseggio)) {$listdec[$tempng][]=$keyl;}
@@ -631,7 +713,10 @@
 		if(!$premio and $key==$gruppo) $arvin[$x][$pos++]=$desliste[$lst];
 		else $arper[$x][$pos++]=$desliste[$lst]; 
-		$res_can = mysql_query("SELECT concat(substring(concat('0',t1.num_cand),-2),') ',t1.cognome,' ',substring(t1.nome from 1 for 1),'.') as descr,sum(t2.voti) as voti from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2 where t1.id_lista='$id_lista' and t1.id_cand=t2.id_cand GROUP BY descr order by voti desc,num_cand",$dbi);
-		$num_candlst[$x]=mysql_num_rows($res_can);
-		while(list($cand,$pre)=mysql_fetch_row($res_can)) {
+		$sql = "SELECT concat(substring(concat('0',t1.num_cand),-2),') ',t1.cognome,' ',substring(t1.nome from 1 for 1),'.') as descr,sum(t2.voti) as voti from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2 where t1.id_lista='$id_lista' and t1.id_cand=t2.id_cand GROUP BY descr order by voti desc,num_cand"
+$res_can = $dbi->prepare("$sql");
+$res_can->execute();
+
+		$num_candlst[$x]=$res_can->rowCount();
+		while(list($cand,$pre)=$res_can->fetch(PDO::FETCH_NUM)) {
 			$cifra[$x][$pos]=$y+$pre;
 			if(!$premio and $key==$gruppo)
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 294)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 295)
@@ -287,5 +287,5 @@
 			// fine della modifica
 			 
-			$sql="SELECT count(id_sez) from ".$prefix."_ele_voti_$tab15 where id_cons='$id_cons' group by id_$tab15";
+			$sql="SELECT count(id_sez) from ".$prefix."_ele_voti_$tab15 where id_cons='$id_cons' group by id_$tab15"; 
 			$res_scr = $dbi->prepare("$sql");
 			$res_scr->execute();