Index: /trunk/admin/aggiornadb.php
===================================================================
--- /trunk/admin/aggiornadb.php	(revision 296)
+++ /trunk/admin/aggiornadb.php	(revision 297)
@@ -26,4 +26,7 @@
 
 $num=1;
+$sql="alter table `soraldo_config` change column if exists `Versione` `versione` int(3)";
+$ret=aggiorna($sql,$dbi);
+if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
 $sql="ALTER TABLE `soraldo_ele_gruppo` ADD if not exists `num_circ` INT(2) UNSIGNED NOT NULL AFTER `id_circ`";
 $ret=aggiorna($sql,$dbi);
@@ -80,5 +83,5 @@
 $ret=aggiorna($sql,$dbi);
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_lista` DROP PRIMARY KEY";
+$sql="ALTER TABLE `soraldo_ele_lista` DROP INDEX if exists `PRIMARY`";
 $ret=aggiorna($sql,$dbi);
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
@@ -92,5 +95,5 @@
 $ret=aggiorna($sql,$dbi);
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_gruppo` DROP PRIMARY KEY";
+$sql="ALTER TABLE `soraldo_ele_gruppo` DROP INDEX if exists `PRIMARY`";
 $ret=aggiorna($sql,$dbi);
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
@@ -104,5 +107,5 @@
 $ret=aggiorna($sql,$dbi);
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
-$sql="ALTER TABLE `soraldo_ele_candidati` DROP PRIMARY KEY";
+$sql="ALTER TABLE `soraldo_ele_candidati` DROP INDEX if exists `PRIMARY`";
 $ret=aggiorna($sql,$dbi);
 if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo $num++.") Index eliminato<br>";
Index: /trunk/admin/modules/Elezioni/ele.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele.php	(revision 296)
+++ /trunk/admin/modules/Elezioni/ele.php	(revision 297)
@@ -278,5 +278,5 @@
 
 	//echo "<hr /><a href=\"../client/modules.php\" target=\"_blank\">$bullet Guarda il sito</a><br /><hr />";
-	echo "<a href=\"admin.php?op=logout\">$bullet "._ESCI.$_SESSION['aid']."</a>";
+	echo "<a href=\"admin.php?op=logout\">$bullet "._ESCI."</a>";
 	echo "</td></tr></table>";
 	// continua la tabella su ele.voti con le sezioni
Index: /trunk/admin/modules/Elezioni/language/lang-en.php
===================================================================
--- /trunk/admin/modules/Elezioni/language/lang-en.php	(revision 296)
+++ /trunk/admin/modules/Elezioni/language/lang-en.php	(revision 297)
@@ -59,4 +59,5 @@
 		define("_CONSULTAZIONE","European Parliament Election"); 
 		define("_GRUPPO","List");
+		define("_LISTA","List");
 		define("_GRUPPOLOGO","List Logo");
 		define("_CONSI","List Candidate");
Index: /trunk/admin/modules/Elezioni/salva_gruppi.php
===================================================================
--- /trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 296)
+++ /trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 297)
@@ -50,5 +50,5 @@
 	$vot="voti$i";$solo="solog$i";$grupp="num_gruppo$i";
 	if (isset($_GET[$grupp])) $num_gruppo[$i]=intval($_GET[$grupp]); else $num_gruppo[$i]='0';
-	if (isset($_GET[$vot])) $voti[$i]=intval($_GET[$vot]); else $voti[$i]='0';
+	if (isset($_GET[$vot]) && $_GET[$vot]) $voti[$i]=intval($_GET[$vot]); else $voti[$i]='0';
 	if (isset($_GET[$solo])) $solog[$i]=intval($_GET[$solo]); else $solog[$i]='0';
 
Index: /trunk/client/modules/Elezioni/consiglieri.php
===================================================================
--- /trunk/client/modules/Elezioni/consiglieri.php	(revision 296)
+++ /trunk/client/modules/Elezioni/consiglieri.php	(revision 297)
@@ -23,5 +23,5 @@
 if (isset($param['listecol'])) $listecol=intval($param['listecol']); else $listecol=0;
 
-$sql = "select id_conf,id_fascia from ".$prefix."_ele_cons_comune where id_cons='$id_cons'"
+$sql = "select id_conf,id_fascia from ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
 $result = $dbi->prepare("$sql");
 $result->execute();
@@ -29,5 +29,5 @@
 list($id_conf,$fascia) = $result->fetch(PDO::FETCH_NUM);
 
-$sql = "SELECT limite,consin,infpremio,supsbarramento,suppremio,listinfsbar,listinfconta,listsupconta,supminpremio,infminpremio from ".$prefix."_ele_conf where id_conf='$id_conf'"
+$sql = "SELECT limite,consin,infpremio,supsbarramento,suppremio,listinfsbar,listinfconta,listsupconta,supminpremio,infminpremio from ".$prefix."_ele_conf where id_conf='$id_conf'";
 $res = $dbi->prepare("$sql");
 $res->execute();
@@ -50,5 +50,5 @@
 	$x++;
 }
-$sql = "SELECT t1.tipo_cons,t2.id_cons,t2.id_fascia,t2.id_conf FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" 
+$sql = "SELECT t1.tipo_cons,t2.id_cons,t2.id_fascia,t2.id_conf FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'";
 $res = $dbi->prepare("$sql");
 $res->execute();
@@ -56,10 +56,10 @@
 if ($res->rowCount()){
 	list($tipo_cons,$id_cons,$fascia,$conf) = $res->fetch(PDO::FETCH_NUM);
-	$sql = "select capoluogo from ".$prefix."_ele_comuni where id_comune='$id_comune'"
+	$sql = "select capoluogo from ".$prefix."_ele_comuni where id_comune='$id_comune'";
 $result = $dbi->prepare("$sql");
 $result->execute();
 
 	list($capoluogo) = $result->fetch(PDO::FETCH_NUM);
-	$sql = "select fascia_capoluogo from ".$prefix."_ele_conf where id_conf='$conf'"
+	$sql = "select fascia_capoluogo from ".$prefix."_ele_conf where id_conf='$conf'";
 $result = $dbi->prepare("$sql");
 $result->execute();
@@ -68,10 +68,10 @@
 	if($fascia<$fascia2 and $capoluogo) $fascia=$fascia2;
 
-		$sql = "SELECT seggi from ".$prefix."_ele_fasce where id_fascia='$fascia' and id_conf=$id_conf"
+		$sql = "SELECT seggi from ".$prefix."_ele_fasce where id_fascia='$fascia' and id_conf=$id_conf";
 $result = $dbi->prepare("$sql");
 $result->execute();
 
 		list($numcons) = $result->fetch(PDO::FETCH_NUM);
-$sql = "SELECT id_cand, sum(voti) from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' group by id_cand"
+$sql = "SELECT id_cand, sum(voti) from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' group by id_cand";
 $res_val = $dbi->prepare("$sql");
 $res_val->execute();
@@ -84,10 +84,10 @@
 }
 	if (!$gruppo){
-		$sql = "SELECT sum(validi) from ".$prefix."_ele_sezioni where id_cons='$id_cons'"
+		$sql = "SELECT sum(validi) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
 $res_val = $dbi->prepare("$sql");
 $res_val->execute();
 
 		list($validi) = $res_val->fetch(PDO::FETCH_NUM);
-		$sql = "SELECT t1.num_gruppo,sum(t2.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_voti_gruppo as t2 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo group by t1.num_gruppo order by voti desc limit 0,2"
+		$sql = "SELECT t1.num_gruppo,sum(t2.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_voti_gruppo as t2 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo group by t1.num_gruppo order by voti desc limit 0,2";
 $res_lis = $dbi->prepare("$sql");
 $res_lis->execute();
@@ -100,5 +100,5 @@
 	}
 	if ($fascia<=$limite){
-		$sql = "SELECT t1.num_gruppo,sum(t2.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_voti_gruppo as t2 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo group by t1.num_gruppo order by voti desc limit 0,2"
+		$sql = "SELECT t1.num_gruppo,sum(t2.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_voti_gruppo as t2 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo group by t1.num_gruppo order by voti desc limit 0,2";
 $res_lis = $dbi->prepare("$sql");
 $res_lis->execute();
@@ -112,10 +112,10 @@
 	elseif ($gruppo>0) conssup($fascia,$gruppo,$collegate,$collperd,$primoturno);
 	elseif ($numgruppo>0){
-		$sqllis = "SELECT t1.id_lista,t1.num_lista,t1.descrizione,t1.id_gruppo from ".$prefix."_ele_lista as t1, ".$prefix."_ele_gruppo as t2 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t2.num_gruppo not in (".$_SESSION['ballo1'].",".$_SESSION['ballo2'].")"
+		$sqllis = "SELECT t1.id_lista,t1.num_lista,t1.descrizione,t1.id_gruppo from ".$prefix."_ele_lista as t1, ".$prefix."_ele_gruppo as t2 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t2.num_gruppo not in (".$_SESSION['ballo1'].",".$_SESSION['ballo2'].")";
 $res_lis = $dbi->prepare("$sqllis");
 $res_lis->execute();
 
 		$yy=$res_lis->rowCount(); 
-			$sql = "select sum(voti) from ".$prefix."_ele_voti_lista where id_cons='$id_cons'"
+			$sql = "select sum(voti) from ".$prefix."_ele_voti_lista where id_cons='$id_cons'";
 $res_voti = $dbi->prepare("$sql");
 $res_voti->execute();
@@ -124,5 +124,5 @@
 		if ($yy){
 while(list($id_lista,$num_lista,$descr,$pgrup) = $res_lis->fetch(PDO::FETCH_NUM)) {
-			$sql = "select sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$id_lista'"
+			$sql = "select sum(voti) from ".$prefix."_ele_voti_lista where id_lista='$id_lista'";
 $res_voti = $dbi->prepare("$sql");
 $res_voti->execute();
@@ -168,5 +168,5 @@
 		echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\"/>";
 		echo "<input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\"/>";
-		$sql = "SELECT t1.id_gruppo,t1.num_gruppo,t1.descrizione, sum(t2.voti) as pref FROM ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_voti_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' group by t1.num_gruppo,t1.descrizione order by pref desc limit 0,2"
+		$sql = "SELECT t1.id_gruppo,t1.num_gruppo,t1.descrizione, sum(t2.voti) as pref FROM ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_voti_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' group by t1.num_gruppo,t1.descrizione order by pref desc limit 0,2";
 $res = $dbi->prepare("$sql");
 $res->execute();
@@ -212,7 +212,7 @@
 #carica numero di liste e voti, i voti sono quelli del gruppo se non c'e' voto di lista
 if($votolista=='0')
-	$sql = "SELECT sum(validi) from ".$prefix."_ele_sezioni where id_cons='$id_cons'"
+	$sql = "SELECT sum(validi) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
 else
-	$sql = "SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_cons='$id_cons'"
+	$sql = "SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_cons='$id_cons'";
 $res_val = $dbi->prepare("$sql");
 $res_val->execute();
@@ -222,10 +222,10 @@
 if ($fisso==1){
 	#seleziona il sindaco
-$sql = "SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_gruppo as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t1.id_gruppo=t3.id_gruppo group by t1.descrizione, t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc limit 0,1"
+$sql = "SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_gruppo as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t1.id_gruppo=t3.id_gruppo group by t1.descrizione, t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc limit 0,1";
 $res_per = $dbi->prepare("$sql");
 $res_per->execute();
 
 	list($descr,$num_gruppo,$id_lista1,$num_lista,$descr_lista,$voti)= $res_per->fetch(PDO::FETCH_NUM);
-$sql = "SELECT t2.id_lista, sum(t2.voti) as voti from ".$prefix."_ele_voti_lista as t2 where t2.id_cons='$id_cons' and t2.id_lista!='$id_lista1' group by t2.id_lista order by voti desc limit 0,1"
+$sql = "SELECT t2.id_lista, sum(t2.voti) as voti from ".$prefix."_ele_voti_lista as t2 where t2.id_cons='$id_cons' and t2.id_lista!='$id_lista1' group by t2.id_lista order by voti desc limit 0,1";
 $res_per = $dbi->prepare("$sql");
 $res_per->execute();
@@ -234,10 +234,10 @@
       #e la lista di minoranza
 	$ordine= $id_lista1>$id_lista2 ? "desc":"";
-$sql = "SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_lista as t3 where (t2.id_lista='$id_lista1' or t2.id_lista='$id_lista2') and t1.id_gruppo=t2.id_gruppo and t2.id_lista=t3.id_lista group by t1.descrizione,t1.num_gruppo,t2.num_lista,t2.descrizione order by t2.id_lista $ordine"
+$sql = "SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_lista as t3 where (t2.id_lista='$id_lista1' or t2.id_lista='$id_lista2') and t1.id_gruppo=t2.id_gruppo and t2.id_lista=t3.id_lista group by t1.descrizione,t1.num_gruppo,t2.num_lista,t2.descrizione order by t2.id_lista $ordine";
 $res_per = $dbi->prepare("$sql");
 $res_per->execute();
 
 	}else{
-$sql = "SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_gruppo as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t1.id_gruppo=t3.id_gruppo group by t1.descrizione,t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc"
+$sql = "SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_gruppo as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t1.id_gruppo=t3.id_gruppo group by t1.descrizione,t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc";
 $res_per = $dbi->prepare("$sql");
 $res_per->execute();
@@ -279,5 +279,5 @@
     foreach ($listagruppo as $lista=>$val){
     $id_lista=$idlst[$lista];
-    $sql = "SELECT concat(substring(concat('0',t1.num_cand),-2),') ',t1.cognome,' ',substring(t1.nome from 1 for 1),'.') as descr,sum(t2.voti) as voti from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2 where t1.id_lista='$id_lista' and t1.id_cand=t2.id_cand GROUP BY descr order by voti desc,t1.num_cand"
+    $sql = "SELECT concat(substring(concat('0',t1.num_cand),-2),') ',t1.cognome,' ',substring(t1.nome from 1 for 1),'.') as descr,sum(t2.voti) as voti from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2 where t1.id_lista='$id_lista' and t1.id_cand=t2.id_cand GROUP BY descr order by voti desc,t1.num_cand";
 $res_can = $dbi->prepare("$sql");
 $res_can->execute();
@@ -476,5 +476,5 @@
 #per voti validi non si intendono i voti validi alle liste ma i voti validi espressi
 #$res_val = mysql_query("SELECT sum(validi_lista) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi); 
-$sql = "SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons'"
+$sql = "SELECT sum(voti) from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons'";
 $res_val = $dbi->prepare("$sql");
 $res_val->execute();
@@ -483,5 +483,5 @@
 
 $sbarra=($validi*$supsbarramento)/100; 
-$sql = "SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_lista as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t2.id_lista=t3.id_lista group by t1.descrizione,t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc"
+$sql = "SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_lista as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t2.id_lista=t3.id_lista group by t1.descrizione,t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc";
 $res_per = $dbi->prepare("$sql");
 $res_per->execute();
@@ -504,10 +504,10 @@
 ################### carica array ... 25  maggio 2014
 foreach($collegate as $key=>$val){	
-	$sql = "SELECT id_gruppo from ".$prefix."_ele_lista where num_lista='$val' and id_cons='$id_cons'"
+	$sql = "SELECT id_gruppo from ".$prefix."_ele_lista where num_lista='$val' and id_cons='$id_cons'";
 $res = $dbi->prepare("$sql");
 $res->execute();
 
 		list($tempig)=$res->fetch(PDO::FETCH_NUM);
-		$sql = "SELECT num_gruppo from ".$prefix."_ele_gruppo where id_gruppo='$tempig' and id_cons='$id_cons'"
+		$sql = "SELECT num_gruppo from ".$prefix."_ele_gruppo where id_gruppo='$tempig' and id_cons='$id_cons'";
 $res = $dbi->prepare("$sql");
 $res->execute();
@@ -612,5 +612,5 @@
 		$z=0;
 		$arvin[$x][$pos++]=$desliste[$lst]; 
-		$sql = "SELECT concat(substring(concat('0',t1.num_cand),-2),') ',t1.cognome,' ',substring(t1.nome from 1 for 1),'.') as descr,sum(t2.voti) as voti from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2 where t1.id_lista='$id_lista' and t1.id_cand=t2.id_cand GROUP BY descr order by voti desc,num_cand"
+		$sql = "SELECT concat(substring(concat('0',t1.num_cand),-2),') ',t1.cognome,' ',substring(t1.nome from 1 for 1),'.') as descr,sum(t2.voti) as voti from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2 where t1.id_lista='$id_lista' and t1.id_cand=t2.id_cand GROUP BY descr order by voti desc,num_cand";
 $res_can = $dbi->prepare("$sql");
 $res_can->execute();
@@ -636,10 +636,10 @@
 	if($vall==0) continue; 
 
-		$sql = "SELECT id_gruppo from ".$prefix."_ele_lista where num_lista='$keyl' and id_cons='$id_cons'"
+		$sql = "SELECT id_gruppo from ".$prefix."_ele_lista where num_lista='$keyl' and id_cons='$id_cons'";
 $res = $dbi->prepare("$sql");
 $res->execute();
 
 		list($tempig)=$res->fetch(PDO::FETCH_NUM);
-		$sql = "SELECT num_gruppo from ".$prefix."_ele_gruppo where id_gruppo='$tempig' and id_cons='$id_cons'"
+		$sql = "SELECT num_gruppo from ".$prefix."_ele_gruppo where id_gruppo='$tempig' and id_cons='$id_cons'";
 $res = $dbi->prepare("$sql");
 $res->execute();
@@ -713,5 +713,5 @@
 		if(!$premio and $key==$gruppo) $arvin[$x][$pos++]=$desliste[$lst];
 		else $arper[$x][$pos++]=$desliste[$lst]; 
-		$sql = "SELECT concat(substring(concat('0',t1.num_cand),-2),') ',t1.cognome,' ',substring(t1.nome from 1 for 1),'.') as descr,sum(t2.voti) as voti from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2 where t1.id_lista='$id_lista' and t1.id_cand=t2.id_cand GROUP BY descr order by voti desc,num_cand"
+		$sql = "SELECT concat(substring(concat('0',t1.num_cand),-2),') ',t1.cognome,' ',substring(t1.nome from 1 for 1),'.') as descr,sum(t2.voti) as voti from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2 where t1.id_lista='$id_lista' and t1.id_cand=t2.id_cand GROUP BY descr order by voti desc,num_cand";
 $res_can = $dbi->prepare("$sql");
 $res_can->execute();
Index: /trunk/client/temi/facebook/menu.php
===================================================================
--- /trunk/client/temi/facebook/menu.php	(revision 296)
+++ /trunk/client/temi/facebook/menu.php	(revision 297)
@@ -104,4 +104,5 @@
 	 
 	    while(list($id,$descrizione) = $res->fetch(PDO::FETCH_NUM)) {
+			$descrizione=ucfirst(strtolower($descrizione));
 		echo "<li class=\"icon matita\" ><a href=\"modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id\">
 	      ".substr($descrizione,0,33)."</a></li>";