Index: trunk/admin/modules/Elezioni/ele_candidato.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_candidato.php	(revision 306)
+++ trunk/admin/modules/Elezioni/ele_candidato.php	(revision 307)
@@ -259,4 +259,5 @@
 function candidato($ok, $do,$id_cand, $id_lista,$id_circ, $id_gruppo,$cognome, $nome, $note, $simbolo,$id_cand2,$num_cand) {
 	global $param, $bgcolor1, $bgcolor2, $prefix, $dbi, $descr_cons, $id_cons,$simbolo2,$min,$id_cons_gen,$id_comune,$id_sez;
+	if(!$id_sez) $id_sez=0;
 $aid=$_SESSION['aid'];
 $perms=ChiSei($id_cons_gen);
Index: trunk/admin/modules/Elezioni/ele_controlli.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_controlli.php	(revision 306)
+++ trunk/admin/modules/Elezioni/ele_controlli.php	(revision 307)
@@ -297,5 +297,5 @@
 		$totsl=0;
 		$tnl=0;
-
+# nulli,bianchi,contestati,solo_gruppo
         $sql="SELECT validi,validi_lista,contestati_lista,voti_nulli_lista,solo_lista FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'";
 		$res = $dbi->prepare("$sql");
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 306)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 307)
@@ -118,5 +118,5 @@
 function numeri_sezione($nums) {
 // tabella visualizzazione sezioni per numero
-global $aid,$bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $tipo_cons, $genere,$id_cons_gen,$id_cons,$id_lista,$ops, $perms,$id_sez,$num_ril,$status,$idrefgruppo,$votog,$votol,$votoc; 
+global $aid,$bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $tipo_cons, $genere,$id_cons_gen,$id_cons,$id_lista,$ops, $perms,$id_sez,$num_ril,$status,$idrefgruppo,$votog,$votol,$votoc,$ops; 
 $idrefgruppo='';
 	$solosede='';
@@ -145,5 +145,5 @@
 		echo "<div id=\"navmenu\"> <ul>";
 		while(list($sez_num, $sez_id ,$sede_id,$colore) = $res->fetch(PDO::FETCH_NUM)) {
-			$ops='';
+#			$ops='';
 			if(!$id_sez) {$id_sez=$sez_id; $id_sede=$sede_id;}
 			$i++;
@@ -175,5 +175,5 @@
 
 function voti($id_cons,$do,$id_circ,$id_sede,$ops,$ov,$mv,$gv,$msv,$av,$id_lista) {
-   	global $aid,$bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $tipo_cons, $genere,$id_cons_gen,$prev_sez,$votog,$votol,$votoc,$conscirc,$id_sez;
+   	global $aid,$bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $tipo_cons, $genere,$id_cons_gen,$prev_sez,$votog,$votol,$votoc,$conscirc,$id_sez,$ops;
 
    	echo "<table border=\"0\" width=\"760\" align=\"left\"><tr>";
@@ -416,5 +416,5 @@
 	list($id_lista)=$res_lis->fetch(PDO::FETCH_NUM);
 }
-#######    
+
 if(!$votog and ($genere==3 or $genere==5)){
 	$sql="select validi_lista,nulli,bianchi,contestati_lista,voti_nulli_lista from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ";
@@ -524,5 +524,9 @@
 $result->execute();
 }
-
+#######    controlli
+	$sql="select * from ".$prefix."_ele_controlli where id_cons='$id_cons' and id_sez='$id_sez' ";
+	$resc = $dbi->prepare("$sql");
+	$resc->execute();
+if($resc->rowCount()){
 // aggiunte le variabili $sgpl e $vnulli2 per la gestione dei voti 1) al solo presidente per singola lista - 2) al solo presidente per singola lista perchÃ© nullo o contestato quello di lista		
 		$isscr= $result->rowCount();
@@ -639,5 +643,5 @@
                     }
 		}
-
+}
 
 
Index: trunk/admin/modules/Elezioni/salva_aff.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_aff.php	(revision 306)
+++ trunk/admin/modules/Elezioni/salva_aff.php	(revision 307)
@@ -68,5 +68,5 @@
 	}
 }else{ # Ãš un nuovo inserimento
-	$sql="insert into ".$prefix."_ele_voti_parziale values ('$id_cons', '$id_sez','','$orario','$data','$voti_u','$voti_d','$voti_t','$id_gruppo')";
+	$sql="insert into ".$prefix."_ele_voti_parziale values ('$id_cons', '$id_sez','0','$orario','$data','$voti_u','$voti_d','$voti_t','$id_gruppo')";
 	$res = $dbi->prepare("$sql");
 	$res->execute();