Index: trunk/admin/modules/Elezioni/ele_associazioni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 314)
+++ trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 315)
@@ -66,5 +66,5 @@
 	//
 	function all() {
-	global $user, $admin, $bgcolor1, $bgcolor2, $prefix,$descr_cons, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$id_cons_gen,$id_collegio,$idcomune,$chiusa,$id_conf,$tipo_cons,$language,$help,$preferenze,$idfascia,$vismf,$sg,$disgiunto,$id_cons_comu;
+	global $user, $admin, $bgcolor1, $bgcolor2, $prefix,$descr_cons, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$id_cons_gen,$id_collegio,$idcomune,$chiusa,$id_conf,$tipo_cons,$language,$help,$preferenze,$idfascia,$vismf,$sg,$disgiunto,$id_cons_comu,$genere;
 $aid=$_SESSION['aid'];
 $prefix=$_SESSION['prefix'];
@@ -145,5 +145,5 @@
 	$rescomu->execute();
 	$tardi=$rescomu->rowCount();
-	if (!$tardi){
+	if (!$tardi && $genere==5){
 		echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._ASOLO_GRUPPO."</b></td>";
 		echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._DISGIUNTO."</b></td>";
@@ -238,5 +238,5 @@
 	$rescomu = $dbi->prepare("$sql");
 	$rescomu->execute();	
-	if (!$tardi){
+	if (!$tardi &&$genere==5){
 		echo "<td><select name=\"sg\">";
 		if ($sg==0) $sel="selected"; else $sel="";
@@ -253,5 +253,5 @@
 	}
 	echo "<td><input type=\"hidden\" name=\"ok\" value=0>";
-	if ($tardi) echo "<input type=\"hidden\" name=\"sg\" value=$sg><input type=\"hidden\" name=\"disgiunto\" value=$disgiunto>";
+	if ($tardi && $genere==5) echo "<input type=\"hidden\" name=\"sg\" value=$sg><input type=\"hidden\" name=\"disgiunto\" value=$disgiunto>";
 	echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">";
 	if ($idcomune) {
@@ -277,6 +277,8 @@
 		}
 	echo "<td width=\"10%\" bgcolor=\"$bgcolor1\" align=\"center\"><b>"._VISAFFMF."</b></td>";
-	echo "<td width=\"10%\" bgcolor=\"$bgcolor1\" align=\"center\"><b>"._ASOLO_GRUPPO."</b></td>";
-	echo "<td width=\"10%\" bgcolor=\"$bgcolor1\" align=\"center\"><b>"._DISGIUNTO."</b></td>";
+	if ($genere==5){
+		echo "<td width=\"10%\" bgcolor=\"$bgcolor1\" align=\"center\"><b>"._ASOLO_GRUPPO."</b></td>";
+		echo "<td width=\"10%\" bgcolor=\"$bgcolor1\" align=\"center\"><b>"._DISGIUNTO."</b></td>";
+	}
 	echo "<td width=\"10\" bgcolor=\"$bgcolor1\"><b>&nbsp;"._FUNZIONI."</b></td></tr>";
 
@@ -316,8 +318,10 @@
 		if ($vismf2==0) $sel=_NO; else $sel=_SI;
 		echo "<td>$sel</td>";
-		if ($sg2==0) $sel=_NO; else $sel=_SI;
-		echo "<td>$sel</td>";
-		if ($disgiunto2==0) $sel=_NO; else $sel=_SI;
-		echo "<td>$sel</td>";
+		if ($genere==5){
+			if ($sg2==0) $sel=_NO; else $sel=_SI;
+				echo "<td>$sel</td>";
+			if ($disgiunto2==0) $sel=_NO; else $sel=_SI;
+				echo "<td>$sel</td>";
+		}
 		echo "<td>";
 		echo "<form name=\"modello$i\" action=\"admin.php\">"
Index: trunk/admin/modules/Elezioni/ele_controlli.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_controlli.php	(revision 314)
+++ trunk/admin/modules/Elezioni/ele_controlli.php	(revision 315)
@@ -374,4 +374,5 @@
 
 	if($err){
+		if(!$id_lista) $id_lista=0;
 		$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_lista')";
 		$res = $dbi->prepare("$sql");
Index: trunk/admin/modules/Elezioni/ele_riepilogo.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_riepilogo.php	(revision 314)
+++ trunk/admin/modules/Elezioni/ele_riepilogo.php	(revision 315)
@@ -126,5 +126,5 @@
 		if ($disgiunto) echo "<th>"._SOLOLIS."</th>"; else echo "<th>"._VOTINULLI." di Lista</th>";
 		echo "</TR>";
-		$t_voti=0;$t_solo_gruppo=0;$t_nulli_lista=0;
+		$t_voti=0;$t_solo_gruppo=0;$t_nulli_lista=0;$t_perlista=0;
 		while(list($id_gruppo,$num_gruppo,$desc) = $res->fetch(PDO::FETCH_NUM)){
 			$sql="SELECT sum(voti),sum(solo_gruppo) from ".$prefix."_ele_voti_gruppo where id_gruppo='$id_gruppo'";
Index: trunk/admin/modules/Elezioni/ele_riepilogovoti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_riepilogovoti.php	(revision 314)
+++ trunk/admin/modules/Elezioni/ele_riepilogovoti.php	(revision 315)
@@ -88,10 +88,10 @@
 		$totg+=$votigruppo; $totsg+=$sologruppo;
 		$sql="SELECT id_lista,num_lista,descrizione FROM ".$prefix."_ele_lista where id_cons='$id_cons' and id_gruppo='$id_gruppo' group by id_lista order by num_lista";
-		$res1 = $dbi->prepare("$sql");
-		$res1->execute();	
-		$numliste=$resl->fetch(PDO::FETCH_NUM);
+		$resl = $dbi->prepare("$sql");
+		$resl->execute();	
+		$numliste=$resl->rowCount();
 		$sql="SELECT num_gruppo,descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
-		$res2 = $dbi->prepare("$sql");
-		$res2->execute();	
+		$resg2 = $dbi->prepare("$sql");
+		$resg2->execute();	
 		list($num_gruppo,$descrg)=$resg2->fetch(PDO::FETCH_NUM);
 
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 314)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 315)
@@ -1281,4 +1281,47 @@
                 while ( list($id_gruppo)=$resref->fetch(PDO::FETCH_NUM))
                     {
+					if($disgiunto || $flagsg){	
+						$sql="SELECT sum(voti-solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'";
+						$res3 = $dbi->prepare("$sql");
+						$res3->execute();
+						if($flagsg){
+							$sql="SELECT sum(voti+nulli_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')";
+							$res4 = $dbi->prepare("$sql");
+							$res4->execute();
+						}else{
+							$sql="SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')";						
+							$res4 = $dbi->prepare("$sql");
+							$res4->execute();							
+						}
+					}else{
+						$sql="SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'";
+						$res3 = $dbi->prepare("$sql");
+						$res3->execute();
+						$sql="SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')";						
+						$res4 = $dbi->prepare("$sql");
+						$res4->execute();
+					}
+                    list($vgruppo)=$res3->fetch(PDO::FETCH_NUM);
+                    list($vliste)=$res4->fetch(PDO::FETCH_NUM);
+                    if($vliste>$vgruppo and !$disgiunto )
+                    	{
+                    	$sql="SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+ 						$result = $dbi->prepare("$sql");
+						$result->execute();
+						list($dgruppo)=$result->fetch(PDO::FETCH_NUM);
+                    	echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti delle liste collegate $vliste<br/> superano i voti assegnati al gruppo $dgruppo $vgruppo</b><br></td></tr></table>";
+                    	$errgrulis[$id_gruppo]=1;
+                    	}
+                    elseif($vliste<$vgruppo and $disgiunto )
+                    	{
+                    	$sql="SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+ 						$result = $dbi->prepare("$sql");
+						$result->execute();
+                    	list($dgruppo)=$result->fetch(PDO::FETCH_NUM);
+                    	echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti assegnati al gruppo $dgruppo<br/> superano i voti delle liste collegate </b><br></td></tr></table>";
+                    	$errgrulis[$id_gruppo]=1;
+                    	}
+                    }
+/*                   {
                     $sql="SELECT sum(voti-solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'";
 $res3 = $dbi->prepare("$sql");
@@ -1315,5 +1358,5 @@
                         echo "<tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti assegnati al gruppo $dgruppo <br/> superano i voti delle liste collegate</b><br></td></tr>";
                         }
-                    }
+                    }*/
 }
 
Index: trunk/client/modules/Elezioni/blocchi/cerca_candidato.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/cerca_candidato.php	(revision 314)
+++ trunk/client/modules/Elezioni/blocchi/cerca_candidato.php	(revision 315)
@@ -83,5 +83,5 @@
 		$resl->execute();
 		
-			list($id_cons_gen_cand) = $res1->fetch(PDO::FETCH_NUM);
+			list($id_cons_gen_cand) = $resl->fetch(PDO::FETCH_NUM);
 		$sql="SELECT descrizione, tipo_cons FROM ".$prefix."_ele_consultazione  where id_cons_gen='$id_cons_gen_cand'" ;
 	$res2 = $dbi->prepare("$sql");