Index: trunk/client/modules/Elezioni/consiglieri.php
===================================================================
--- trunk/client/modules/Elezioni/consiglieri.php	(revision 315)
+++ trunk/client/modules/Elezioni/consiglieri.php	(revision 317)
@@ -101,9 +101,29 @@
 	if ($fascia<=$limite){
 		$sql = "SELECT t1.num_gruppo,sum(t2.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_voti_gruppo as t2 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo group by t1.num_gruppo order by voti desc limit 0,2";
-$res_lis = $dbi->prepare("$sql");
-$res_lis->execute();
-
-		list($num_gruppo1,$voti1)= $res_lis->fetch(PDO::FETCH_NUM);
-		list($num_gruppo2,$voti2)= $res_lis->fetch(PDO::FETCH_NUM);
+		$res_lis = $dbi->prepare("$sql");
+		$res_lis->execute();
+		if($res_lis->rowCount()==1)
+		{
+			list($num_gruppo1,$voti1)= $res_lis->fetch(PDO::FETCH_NUM); 
+			$voti2=0;
+			$sql = "SELECT sum(maschi+femmine) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+			$res_val = $dbi->prepare("$sql");
+			$res_val->execute();
+			list($elettori)=$res_val->fetch(PDO::FETCH_NUM);
+			$sql = "select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' group by data,orario order by data desc, orario desc limit 0,1";
+			$res_val = $dbi->prepare("$sql");
+			$res_val->execute();
+			list($votanti)=$res_val->fetch(PDO::FETCH_NUM);
+			if($votanti<($elettori/2) || $voti1<($votanti/2))
+			{
+				include(ele.php);
+				echo "<div>Non Ãš possibile assegnare i seggi, la consultazione Ãš nulla</div>";
+				include(footer.php);
+				die();
+			}
+		}else{
+			list($num_gruppo1,$voti1)= $res_lis->fetch(PDO::FETCH_NUM);
+			list($num_gruppo2,$voti2)= $res_lis->fetch(PDO::FETCH_NUM);
+		}
 		if ($voti1>$voti2)
 			$numgruppo=$num_gruppo1;
@@ -197,4 +217,8 @@
 if (isset($votol)) {$votolista=$votol; $fisso=$votol;} #se votolista=1 c'e' voto di lista
 if (!isset($sincons)) $sincons=0; #se sincons=1 il sindaco eletto occupa un posto di consigliere
+$sql="SELECT t1.num_gruppo,sum(t2.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_voti_gruppo as t2 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo group by t1.num_gruppo order by voti desc limit 0,2";
+$res = $dbi->prepare("$sql");
+$res->execute();
+$numgruppi=$res->rowCount();
 $PNE=_PRIMONON;
 $CSEC=_SINDCONS;
@@ -265,5 +289,6 @@
     }#controllo del premio di maggioranza
 //    if ($gruppo[$listagruppo[$lisvin]]>($validi*2/3))
-    if ($gruppo[$listagruppo[$lisvin]]>($validi*$infpremio/100) and $fisso==0) 
+	if($numgruppi==1) $fisso=1;
+    if ($gruppo[$listagruppo[$lisvin]]>($validi*$infpremio/100) and $fisso==1) 
     {
 $seggimag[$lisvin]=number_format($numcons*($gruppo[$listagruppo[$lisvin]]*100/$validi)/100);
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 315)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 317)
@@ -544,5 +544,8 @@
 				}	
 				elseif($op=="lista_sezione"){
-					$sqlr="select sum(validi),sum(contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'";
+					if($genere==4)
+						$sqlr="select sum(validi),0 from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'";
+					else
+						$sqlr="select sum(validi),sum(contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'";
 					$sqlv="select sum(voti) from ".$prefix."_ele_voti_lista where id_sez='".$res[1]."'";
 					$resperc = $dbi->prepare("$sqlr");
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 315)
+++ trunk/client/versione.php	(revision 317)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 309";
+$versione = "3.0 rev 318";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 16 maggio 2019</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 29 maggio 2019</i>)";
 
 