Index: /trunk/admin/modules/Elezioni/ele_controlli.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_controlli.php	(revision 318)
+++ /trunk/admin/modules/Elezioni/ele_controlli.php	(revision 319)
@@ -278,9 +278,4 @@
 		##############################
 	$err=0;
-	$stato=0;
-	$sql="select count(0) from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' "; 
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	if($res->rowCount()) $stato=1;
 	$tipo='lista';
 	$sql="SELECT genere FROM ".$prefix."_ele_tipo as t1 left join ".$prefix."_ele_consultazione as t2 on t1.tipo_cons=t2.tipo_cons where id_cons_gen='$id_cons_gen'";
@@ -288,13 +283,13 @@
 	$res->execute();
 	list($genere)=$res->fetch(PDO::FETCH_NUM);
-	$sql="SELECT preferenze,disgiunto,solo_gruppo,id_fascia,id_conf FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	list($prefs,$disg,$solog,$fascia,$idconf)=$res->fetch(PDO::FETCH_NUM);
-	$sql="SELECT supdisgiunto FROM ".$prefix."_ele_conf where id_conf='$idconf'";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	list($disglg)=$res->fetch(PDO::FETCH_NUM);
-	if($id_lista && $stato==0){
+#	$sql="SELECT supdisgiunto FROM ".$prefix."_ele_conf as t1 left join ".$prefix."_ele_consultazione as t2 on t1.tipo_cons=t2.tipo_cons where id_cons_gen='$id_cons_gen'";
+#	$res = $dbi->prepare("$sql");
+#	$res->execute();
+#	list($genere)=$res->fetch(PDO::FETCH_NUM);
+	$sql="SELECT preferenze,disgiunto,solo_gruppo,id_fascia FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	list($prefs,$disg,$solog,$fascia)=$res->fetch(PDO::FETCH_NUM);
+	if($id_lista){
 		$err=controllo_votic($id_cons,$id_sez,$id_lista);
 		$tipo='lista';
@@ -324,5 +319,5 @@
 				$err=controllo_votic($id_cons,$id_sez,$idg);
 				if($err){ $tipo='lista'; $id_lista=$idg; break; }
-				$sql="SELECT sum(voti), sum(nulli_lista),sum(solo_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista='$idg'";
+					$sql="SELECT sum(voti), sum(nulli_lista),sum(solo_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista='$idg'";
 				$res2 = $dbi->prepare("$sql");
 				$res2->execute();
@@ -338,5 +333,5 @@
 				}				
 			}
-			if ($totlis!=$validil or ($validil+$contestatil+$nullil+$bianchi+$vnulli!=$votit and $validil+$contestatil+$nullil+$bianchi+$vnulli>0)) {$err=1;$tipo='lista';}
+			if ($validil+$contestatil+$nullil+$bianchi+$vnulli!=$votit and $validil+$contestatil+$nullil+$bianchi+$vnulli>0) {$err=1;$tipo='lista';}
 #			if(($solog && !$disg && $tnl!=$nullil) || $totsl!=$solol) {$err=1;$tipo='lista';}
 		}else{			
@@ -352,7 +347,6 @@
 				while(list($id_lista)=$res2->fetch(PDO::FETCH_NUM)){
 					$err=controllo_votic($id_cons,$id_sez,$id_lista);
-					if($err){ $tipo='lista'; $id_lista=$idg; break; }				
+					if($err){ $tipo='lista'; break; }				
 				}
-				if($err) break;
 				$sql="SELECT sum(voti), sum(nulli_lista),sum(solo_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$idg')";
 				$res2 = $dbi->prepare("$sql");
@@ -360,5 +354,5 @@
 				$totgru+=$votig;
 				$totsg+=$svg;
-				if($res2->rowCount() && !$disglg){
+				if($res2->rowCount()){
 					list($votil,$nl,$svl)=$res2->fetch(PDO::FETCH_NUM);
 					$totlis+=$votil;
@@ -372,5 +366,5 @@
 			if (!$totsg) $totsg=$solog; 
 			if ($validil+$contestatil+$nullil+$totsg!=$votiv and $validil+$contestatil+$nullil+$solol>0) {$err=1;$tipo='lista';}
-			if(($solog && !$disg && $tnl!=$nullil) || $totsl!=$solol) {$err=1;$tipo='lista';}
+			if(($solog && !$disg && ($tnl!=$nullil && $disg)) || $totsl!=$solol) {$err=1;$tipo='lista';}
 		}
 		
@@ -384,4 +378,5 @@
 
 	if($err){
+		if(!$id_lista) $id_lista=0;
 		$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_lista')";
 		$res = $dbi->prepare("$sql");
Index: /trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_voti.php	(revision 318)
+++ /trunk/admin/modules/Elezioni/ele_voti.php	(revision 319)
@@ -520,5 +520,5 @@
 
 }else{
-		$sql="SELECT sum(t1.voti),t2.validi_lista, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli_lista,t2.bianchi,t2.nulli,t2.contestati,t2.voti_nulli,t2.solo_gruppo from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez='$id_sez' group by t1.id_sez";
+		$sql="SELECT sum(t1.voti),t2.validi_lista, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli_lista,t2.bianchi,t2.nulli,t2.contestati,t2.voti_nulli,t2.solo_gruppo,t1.id_sez from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez='$id_sez' group by t1.id_sez,t2.validi_lista, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli_lista,t2.bianchi,t2.nulli,t2.contestati,t2.voti_nulli,t2.solo_gruppo";
 $result = $dbi->prepare("$sql");
 $result->execute();
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 318)
+++ /trunk/admin/versione.php	(revision 319)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 317";
+$versione = "3.0 rev 319";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 29 maggio 2019</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 03 giugno 2019</i>)";
 
 ?> 
Index: /trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- /trunk/client/modules/Elezioni/gruppo.php	(revision 318)
+++ /trunk/client/modules/Elezioni/gruppo.php	(revision 319)
@@ -684,5 +684,5 @@
                           $votigl=" sum(validi),sum(nulli),sum(bianchi),sum(contestati),sum(voti_nulli)";
                     }else{
-                        if($dettnulli) $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista)";
+                        if($dettnulli) $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista+voti_nulli)";
 						else $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli)";
                     }
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 318)
+++ /trunk/client/versione.php	(revision 319)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 318";
+$versione = "3.0 rev 319";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 29 maggio 2019</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 03 giugno 2019</i>)";
 
 