Index: trunk/admin/modules/Elezioni/ele_controlli.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_controlli.php	(revision 320)
+++ trunk/admin/modules/Elezioni/ele_controlli.php	(revision 321)
@@ -340,5 +340,6 @@
 			$res->execute();
 			list($votiv,$validil,$contestatil,$nullil,$solog,$solol) = $res->fetch(PDO::FETCH_NUM);
-
+			$vl=0;
+			$tvl=0;
 			while (list($idg,$votig,$svg)=$resref->fetch(PDO::FETCH_NUM)) {
 				$sql="SELECT id_lista FROM ".$prefix."_ele_lista where id_gruppo='$idg'";
@@ -347,6 +348,12 @@
 				while(list($id_lista)=$res2->fetch(PDO::FETCH_NUM)){
 					$err=controllo_votic($id_cons,$id_sez,$id_lista);
-					if($err){ $tipo='lista'; break; }				
+					if($err){ $tipo='lista'; break; }
+					$sql="SELECT voti FROM ".$prefix."_ele_voti_lista where id_lista='$id_lista' and id_sez='$id_sez'";
+					$res3 = $dbi->prepare("$sql");
+					$res3->execute();
+					list($vl)=$res3->fetch(PDO::FETCH_NUM);
+					$tvl+=$vl;
 				}
+				if($err) break;
 				$sql="SELECT sum(voti), sum(nulli_lista),sum(solo_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$idg')";
 				$res2 = $dbi->prepare("$sql");
@@ -365,5 +372,5 @@
 			}
 			if (!$totsg) $totsg=$solog; 
-			if ($validil+$contestatil+$nullil+$totsg!=$votiv and $validil+$contestatil+$nullil+$solol>0) {$err=1;$tipo='lista';}
+			if ($validil+$contestatil+$nullil+$totsg!=$votiv and ($validil+$contestatil+$nullil+$solol>0 or $tvl>0)) {$err=1;$tipo='lista';}
 			if(($solog && !$disg && ($tnl!=$nullil && $disg)) || $totsl!=$solol) {$err=1;$tipo='lista';}
 		}
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 320)
+++ trunk/admin/versione.php	(revision 321)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 320";
+$versione = "3.0 rev 321";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 04 giugno 2019</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 05 giugno 2019</i>)";
 
 ?> 
Index: trunk/client/modules/Elezioni/backup2.php
===================================================================
--- trunk/client/modules/Elezioni/backup2.php	(revision 320)
+++ trunk/client/modules/Elezioni/backup2.php	(revision 321)
@@ -1,103 +1,72 @@
 <?php
-#global $dbi,$id_cons_gen,$id_comune;
-#$res_comune = mysql_query("select id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$id_comune'" ;
+global $dbi,$id_cons_gen,$id_comune,$prefix;
+$sql="select id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$id_comune'" ;
 	$res = $dbi->prepare("$sql");
 	$res->execute();
 
-#list($id_cons)=mysql_fetch_row($res_comune);
+list($id_cons)=$res->fetch(PDO::FETCH_NUM);
 #echo "id_cons=$id_cons<br/>";
 $sql="select * from ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
+scarica_array($sql,$prefix."_ele_cons_comune");
+
+$sql="select * from ".$prefix."_ele_gruppo where id_cons='$id_cons'" ;
+scarica_array($sql,$prefix."_ele_gruppo");
+
+$sql="select * from ".$prefix."_ele_lista where id_cons='$id_cons'" ;
+scarica_array($sql,$prefix."_ele_lista");
+
+$sql="select * from ".$prefix."_ele_candidati where id_cons='$id_cons'" ;
+scarica_array($sql,$prefix."_ele_candidati");
+
+$sql="select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons'" ;
+scarica_array($sql,$prefix."_ele_circoscrizione");
+
+$sql="select * from ".$prefix."_ele_sede where id_cons='$id_cons'" ;
+scarica_array($sql,$prefix."_ele_sede");
+
+$sql="select * from ".$prefix."_ele_sezioni where id_cons='$id_cons'" ;
+scarica_array($sql,$prefix."_ele_sezioni");
+
+$sql="select * from ".$prefix."_ele_link where id_cons='$id_cons'" ;
+scarica_array($sql,$prefix."_ele_link");
+
+$sql="select * from ".$prefix."_ele_come where id_cons='$id_cons'" ;
+scarica_array($sql,$prefix."_ele_come");
+
+$sql="select * from ".$prefix."_ele_numeri where id_cons='$id_cons'" ;
+scarica_array($sql,$prefix."_ele_numeri");
+
+$sql="select * from ".$prefix."_ele_servizi where id_cons='$id_cons'" ;
+scarica_array($sql,$prefix."_ele_servizi");
+
+$sql="select * from ".$prefix."_ele_voti_candidati where id_cons='$id_cons'" ;
+scarica_array($sql,$prefix."_ele_voti_candidati");
+
+$sql="select * from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons'" ;
+scarica_array($sql,$prefix."_ele_voti_gruppo");
+
+$sql="select * from ".$prefix."_ele_voti_lista where id_cons='$id_cons'" ;
+scarica_array($sql,$prefix."_ele_voti_lista");
+
+$sql="select * from ".$prefix."_ele_voti_parziale where id_cons='$id_cons'" ;
+scarica_array($sql,$prefix."_ele_voti_parziale");
+
+$sql="select * from ".$prefix."_ele_voti_ref where id_cons='$id_cons'" ;
+scarica_array($sql,$prefix."_ele_voti_ref");
+
+
+function scarica_array($sql,$tab){
 	$res_comune = $dbi->prepare("$sql");
 	$res_comune->execute();
-
-scarica_array($res_comune,$prefix."_ele_cons_comune");
-$sql="select * from ".$prefix."_ele_gruppo where id_cons='$id_cons'" ;
-	$res_comune = $dbi->prepare("$sql");
-	$res_comune->execute();
-
-scarica_array($res_comune,$prefix."_ele_gruppo");
-$sql="select * from ".$prefix."_ele_lista where id_cons='$id_cons'" ;
-	$res_comune = $dbi->prepare("$sql");
-	$res_comune->execute();
-
-scarica_array($res_comune,$prefix."_ele_lista");
-$sql="select * from ".$prefix."_ele_candidati where id_cons='$id_cons'" ;
-	$res_comune = $dbi->prepare("$sql");
-	$res_comune->execute();
-
-scarica_array($res_comune,$prefix."_ele_candidati");
-$sql="select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons'" ;
-	$res_comune = $dbi->prepare("$sql");
-	$res_comune->execute();
-
-scarica_array($res_comune,$prefix."_ele_circoscrizione");
-$sql="select * from ".$prefix."_ele_sede where id_cons='$id_cons'" ;
-	$res_comune = $dbi->prepare("$sql");
-	$res_comune->execute();
-
-scarica_array($res_comune,$prefix."_ele_sede");
-$sql="select * from ".$prefix."_ele_sezioni where id_cons='$id_cons'" ;
-	$res_comune = $dbi->prepare("$sql");
-	$res_comune->execute();
-
-scarica_array($res_comune,$prefix."_ele_sezioni");
-$sql="select * from ".$prefix."_ele_link where id_cons='$id_cons'" ;
-	$res_comune = $dbi->prepare("$sql");
-	$res_comune->execute();
-
-scarica_array($res_comune,$prefix."_ele_link");
-$sql="select * from ".$prefix."_ele_come where id_cons='$id_cons'" ;
-	$res_comune = $dbi->prepare("$sql");
-	$res_comune->execute();
-
-scarica_array($res_comune,$prefix."_ele_come");
-$sql="select * from ".$prefix."_ele_numeri where id_cons='$id_cons'" ;
-	$res_comune = $dbi->prepare("$sql");
-	$res_comune->execute();
-
-scarica_array($res_comune,$prefix."_ele_numeri");
-$sql="select * from ".$prefix."_ele_servizi where id_cons='$id_cons'" ;
-	$res_comune = $dbi->prepare("$sql");
-	$res_comune->execute();
-
-scarica_array($res_comune,$prefix."_ele_servizi");
-$sql="select * from ".$prefix."_ele_voti_candidati where id_cons='$id_cons'" ;
-	$res_comune = $dbi->prepare("$sql");
-	$res_comune->execute();
-
-scarica_array($res_comune,$prefix."_ele_voti_candidati");
-$sql="select * from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons'" ;
-	$res_comune = $dbi->prepare("$sql");
-	$res_comune->execute();
-
-scarica_array($res_comune,$prefix."_ele_voti_gruppo");
-$sql="select * from ".$prefix."_ele_voti_lista where id_cons='$id_cons'" ;
-	$res_comune = $dbi->prepare("$sql");
-	$res_comune->execute();
-
-scarica_array($res_comune,$prefix."_ele_voti_lista");
-$sql="select * from ".$prefix."_ele_voti_parziale where id_cons='$id_cons'" ;
-	$res_comune = $dbi->prepare("$sql");
-	$res_comune->execute();
-
-scarica_array($res_comune,$prefix."_ele_voti_parziale");
-$sql="select * from ".$prefix."_ele_voti_ref where id_cons='$id_cons'" ;
-	$res_comune = $dbi->prepare("$sql");
-	$res_comune->execute();
-
-scarica_array($res_comune,$prefix."_ele_voti_ref");
-
-
-function scarica_array($res_comune,$tab){
-echo "[$tab]\n";
-while ($lista = $res_comune->fetch(PDO::FETCH_BOTH)) {
-	$x=0;
-	foreach ($lista as $key=>$val) {$lista[$key]=base64_encode($val);
-		if ($x++) echo ":";
-		
-		echo "'".$lista[$key]."'";
+	echo "[$tab]\n";
+	while ($lista = $sql->fetch(PDO::FETCH_BOTH)) {
+		$x=0;
+		foreach ($lista as $key=>$val) {$riga[$key]=base64_encode($val);
+			if ($x++) echo ":";
+			
+			echo "'".$riga[$key]."'";
+		}
+		echo "\n";
 	}
-	echo "\n";
-}
 }
 ?>
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 320)
+++ trunk/client/versione.php	(revision 321)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 320";
+$versione = "3.0 rev 321";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 04 giugno 2019</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 05 giugno 2019</i>)";
 
 