Index: unk/admin/modules/Elezioni/backup.php
===================================================================
--- /trunk/admin/modules/Elezioni/backup.php	(revision 321)
+++ 	(revision )
@@ -1,21 +1,0 @@
-<?php
-$param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
-if (isset($param['id_cons_gen']))
-	 $id_cons_gen2=intval($param['id_cons_gen']);
-if (isset($param['id_comune']))
-	 $id_comune2=intval($param['id_comune']);
-$sql="select descrizione from ".$prefix."_ele_consultazione  where id_cons_gen='$id_cons_gen2'";
-$sth = $dbi->prepare("$sql");
-$sth->execute();	
-//$row = $sth->fetch(PDO::FETCH_BOTH);
-//$nomeFile=$row[0];
-list($nomeFile)=$sth->fetch(PDO::FETCH_NUM);
-#$nomeFile="backup";
-header( 'Content-Type: application/octet-stream' );
-header( 'Content-Disposition: attachment; filename="'.$nomeFile.'"' );
-#header( 'Content-Length:'.strlen( $content ) );
-header( 'Content-Transfer-Encoding: binary' );
-include("backup2.php");
-exit(0);
-
-?>
Index: unk/admin/modules/Elezioni/backup2.php
===================================================================
--- /trunk/admin/modules/Elezioni/backup2.php	(revision 321)
+++ 	(revision )
@@ -1,51 +1,0 @@
-<?php
-$res_comune = mysql_query("select id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$id_comune'" ,$dbi);
-list($id_cons)=mysql_fetch_row($res_comune);
-$res_comune = mysql_query("select * from ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ,$dbi);
-scarica_array($res_comune,$prefix."_ele_cons_comune");
-$res_comune = mysql_query("select * from ".$prefix."_ele_gruppo where id_cons='$id_cons'" ,$dbi);
-scarica_array($res_comune,$prefix."_ele_gruppo");
-$res_comune = mysql_query("select * from ".$prefix."_ele_lista where id_cons='$id_cons'" ,$dbi);
-scarica_array($res_comune,$prefix."_ele_lista");
-$res_comune = mysql_query("select * from ".$prefix."_ele_candidati where id_cons='$id_cons'" ,$dbi);
-scarica_array($res_comune,$prefix."_ele_candidati");
-$res_comune = mysql_query("select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons'" ,$dbi);
-scarica_array($res_comune,$prefix."_ele_circoscrizione");
-$res_comune = mysql_query("select * from ".$prefix."_ele_sede where id_cons='$id_cons'" ,$dbi);
-scarica_array($res_comune,$prefix."_ele_sede");
-$res_comune = mysql_query("select * from ".$prefix."_ele_sezioni where id_cons='$id_cons'" ,$dbi);
-scarica_array($res_comune,$prefix."_ele_sezioni");
-$res_comune = mysql_query("select * from ".$prefix."_ele_link where id_cons='$id_cons'" ,$dbi);
-scarica_array($res_comune,$prefix."_ele_link");
-$res_comune = mysql_query("select * from ".$prefix."_ele_come where id_cons='$id_cons'" ,$dbi);
-scarica_array($res_comune,$prefix."_ele_come");
-$res_comune = mysql_query("select * from ".$prefix."_ele_numeri where id_cons='$id_cons'" ,$dbi);
-scarica_array($res_comune,$prefix."_ele_numeri");
-$res_comune = mysql_query("select * from ".$prefix."_ele_servizi where id_cons='$id_cons'" ,$dbi);
-scarica_array($res_comune,$prefix."_ele_servizi");
-$res_comune = mysql_query("select * from ".$prefix."_ele_voti_candidati where id_cons='$id_cons'" ,$dbi);
-scarica_array($res_comune,$prefix."_ele_voti_candidati");
-$res_comune = mysql_query("select * from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons'" ,$dbi);
-scarica_array($res_comune,$prefix."_ele_voti_gruppo");
-$res_comune = mysql_query("select * from ".$prefix."_ele_voti_lista where id_cons='$id_cons'" ,$dbi);
-scarica_array($res_comune,$prefix."_ele_voti_lista");
-$res_comune = mysql_query("select * from ".$prefix."_ele_voti_parziale where id_cons='$id_cons'" ,$dbi);
-scarica_array($res_comune,$prefix."_ele_voti_parziale");
-$res_comune = mysql_query("select * from ".$prefix."_ele_voti_ref where id_cons='$id_cons'" ,$dbi);
-scarica_array($res_comune,$prefix."_ele_voti_ref");
-
-
-function scarica_array($res_comune,$tab){
-echo "[$tab]\n";
-if ($res_comune)
-while ($lista = mysql_fetch_array($res_comune, MYSQL_ASSOC)) {
-	$x=0;
-	foreach ($lista as $key=>$val) {$lista[$key]=base64_encode($val);
-		if ($x++) echo ":";
-		
-		echo "'".$lista[$key]."'";
-	}
-	echo "\n";
-}
-}
-?>
Index: /trunk/client/modules.php
===================================================================
--- /trunk/client/modules.php	(revision 321)
+++ /trunk/client/modules.php	(revision 322)
@@ -165,6 +165,5 @@
 $sql = $dbi->prepare("SELECT id_cons,id_conf FROM ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_bak' and id_comune='$id_combak'");
 $sql->execute();
-$row = $sql->fetchAll(PDO::FETCH_ASSOC);
-$id_cons=$row[1];$hondt=$row[2];
+list($id_cons,$hondt) = $sql->fetch(PDO::FETCH_NUM);
 
 // incluso in consiglieri.php, ma io carico le vecchie variabili per compatibilit'a all'indietro
Index: /trunk/client/modules/Elezioni/backup.php
===================================================================
--- /trunk/client/modules/Elezioni/backup.php	(revision 321)
+++ /trunk/client/modules/Elezioni/backup.php	(revision 322)
@@ -1,4 +1,5 @@
 <?php
 $param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
+global $prefix,$dbi;
 if (isset($param['id_cons_gen']))
 	 $id_cons_gen2=intval($param['id_cons_gen']);
Index: /trunk/client/modules/Elezioni/backup2.php
===================================================================
--- /trunk/client/modules/Elezioni/backup2.php	(revision 321)
+++ /trunk/client/modules/Elezioni/backup2.php	(revision 322)
@@ -1,4 +1,6 @@
 <?php
-global $dbi,$id_cons_gen,$id_comune,$prefix;
+global $dbi,$prefix;
+$id_comune=intval($_GET['id_comune']);
+$id_cons_gen=intval($_GET['id_cons_gen']);
 $sql="select id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$id_comune'" ;
 	$res = $dbi->prepare("$sql");
@@ -57,8 +59,9 @@
 
 function scarica_array($sql,$tab){
+	global $dbi;
 	$res_comune = $dbi->prepare("$sql");
 	$res_comune->execute();
 	echo "[$tab]\n";
-	while ($lista = $sql->fetch(PDO::FETCH_BOTH)) {
+	while ($lista = $res_comune->fetch(PDO::FETCH_BOTH)) {
 		$x=0;
 		foreach ($lista as $key=>$val) {$riga[$key]=base64_encode($val);